Metacat - Bug #4834

Request to modify document redirects to registry home after login
02/24/2010 01:39 PM - Jim Regetz
Target version: 1.9.2 Spent time: 0.00 hour
Description

The "Revise document" notification emailed to document submitters currently contains a URL that looks something like this:

http://esa-dev.nceas.ucsb.edu/esa/cgi-bin/register-dataset.cgi?stage=modify&cfg=esa&docid=esa.65

This redirects to the login page if the user is not already logged in, which makes sense. However, after logging in, the user gets
dumped back at the home page rather being presented with the requested page.

Not sure if this issue is specific to ESA.

Related issues:
Blocked by Metacat - Bug #4838: Permissions error for link contained in Data ... Resolved 02/24/2010

History

#1 - 02/26/2010 02:44 PM - Michael Daigle
try to fix in 1.9.2

#2 - 03/11/2010 01:15 PM - Michael Daigle

After system installation and configuration, the admin user remains logged in. This seems to confuse the registry code regarding login status.

Changed metacat to log the admin user out once the system in configured.

#3 - 03/27/2013 02:28 PM - Redmine Admin
Original Bugzilla ID was 4834
